SignedSelector (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, class: SignedSelector

Package org.apache.tools.ant.types.selectors

# Class SignedSelector

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.selectors.SignedSelector

All Implemented Interfaces:
  `Cloneable`, `ResourceSelector`, `FileSelector`

public class SignedSelector extends DataType implements FileSelector
Selector that chooses files based on whether they are signed or not.

Since:
  1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignedSelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isSelected(File basedir, String filename, File file)`
  The heart of the matter.
  `void`
  `setName(String name)`
  The signature name to check jarfile for.

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

  `isSelected`

- ## Constructor Details

  - ### SignedSelector

    public SignedSelector()

- ## Method Details

  - ### setName

    public void setName(String name)
    The signature name to check jarfile for.
    Parameters:
      `name` - signature to look for.

  - ### isSelected

    public boolean isSelected(File basedir, String filename, File file)
    The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.
    Specified by:
      `isSelected` in interface `FileSelector`
    Parameters:
      `basedir` - not used by this selector
      `filename` - not used by this selector
      `file` - path to file to be selected
    Returns:
      whether the file should be selected or not